import java.util.Properties;

import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.MimeMessage.RecipientType;

public class Notifier {
	private static final String HOST = "smtp.googlemail.com";
	private static final int PORT = 465;
	private final String USER;
	private final String PASS;
	private InternetAddress from;
	private InternetAddress[] to;
	private Session session;
	
	public Notifier(String user, String pass, String notify) throws AddressException {
		USER = user;
		PASS = pass;
		from = new InternetAddress(USER);
		to = new InternetAddress[]{new InternetAddress(notify)};
		Properties props = new Properties();
		props.put("mail.transport.protocol", "smtps");
        props.put("mail.smtps.host", HOST);
        props.put("mail.smtps.auth", "true");
		session = Session.getInstance(props);
	}
	
	public void send(String subject, String body) throws MessagingException {
		Transport transport = session.getTransport();
		MimeMessage message = new MimeMessage(session);
		message.setFrom(from);
		message.setRecipient(RecipientType.TO, to[0]);
		message.setSubject(subject);
		message.setText(body);
		transport.connect(HOST, PORT, USER, PASS);
		transport.sendMessage(message, to);
		transport.close();
	}

}
